
import UIKit
import CoreData

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    var container: NSPersistentContainer!
    var context: NSManagedObjectContext!
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey : Any]? = nil) -> Bool {
        container = NSPersistentContainer(name: "books")
        container.loadPersistentStores(completionHandler: { (storeDescription, error) in
            if error == nil {
                self.context = self.container.viewContext
            } else {
                print("Error")
            }
        })
        return true
    }
}
